<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.17
Description: Beinhaltet eingebettete Befunde, die im Zuge des Aufenthalts erstellt wurden. Die beigelegten Befunde werden in Form von maschinenlesbaren Elementen eingebettet.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.17"><title>Beigelegte erhobene Befunde</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section" id="tmp-f28ed4fc-5a57-421d-a4ac-7e8349003670"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.17'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.17'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.17'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.17'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:title ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:title)&lt;=1">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:text ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:text)&lt;=1">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:text kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:entry)&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:entry ist required [min 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.17']
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.17']" id="tmp-35ec2cbb-43c1-4f81-b289-7e9a3990a620"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.17): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@root='1.2.40.0.34.11.2.2.17'">(TMP 1.2.40.0.34.11.2.2.17): @root MUSS den Wert '1.2.40.0.34.11.2.2.17' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.17): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:code" id="tmp-5de821c8-2753-42c0-b6c0-68bd5d55bcf0"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.17): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@nullFlavor or (@code='BEFBEI' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Beigelegte erhobene Befunde')">(TMP 1.2.40.0.34.11.2.2.17): Der Wert von @code/@codeSystem MUSS 'BEFBEI' codeSystem '1.2.40.0.34.5.40' displayName='Beigelegte erhobene Befunde' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:title" id="tmp-9684db21-168d-40ff-8e83-1baa3eda3d92"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.17): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><extends rule="ST"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="text()='Beigelegte erhobene Befunde'">(TMP 1.2.40.0.34.11.2.2.17): Der Elementinhalt von 'hl7:title' MUSS ''Beigelegte erhobene Befunde'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia" id="tmp-f3956ed0-5fac-4fa1-b353-bafdcb18bdb7"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@classCode='OBS' ">(TMP 1.2.40.0.34.11.2.2.17): Der Wert von @classCode MUSS 'OBS' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@moodCode='EVN' ">(TMP 1.2.40.0.34.11.2.2.17): Der Wert von @moodCode MUSS 'EVN' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:value ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="count(hl7:value)&lt;=1">(TMP 1.2.40.0.34.11.2.2.17): Element hl7:value kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']" id="tmp-bdd52223-3b87-4d37-9e3e-42e7e83dae56"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.17): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@root='1.2.40.0.34.11.1.3.1'">(TMP 1.2.40.0.34.11.2.2.17): @root MUSS den Wert '1.2.40.0.34.11.1.3.1' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.17): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.17
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value
Item: (TMP 1.2.40.0.34.11.2.2.17)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.17']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value" id="tmp-d861824d-89aa-41e7-9980-71c2db20b428"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.17): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ED" oder der Datentype MUSS "ED" sein</assert><extends rule="ED"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="string-length(@mediaType)&gt;0">(TMP 1.2.40.0.34.11.2.2.17): Attribut @mediaType MUSS vorkommen.</assert><let name="theAttValue" value="@mediaType"/><let name="displayNamesFound" value="concat((document('include/voc-ELGA_Medientyp-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@displayName[1]), '')"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="string-length($displayNamesFound)&gt;0">(TMP 1.2.40.0.34.11.2.2.17): Der Wert von mediaType MUSS gewählt werden aus dem Value Set ELGA_Medientyp DYNAMIC.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.17.html" test="@representation='B64' ">(TMP 1.2.40.0.34.11.2.2.17): Der Wert von @representation MUSS 'B64' sein.</assert></rule>
</pattern>