<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.2"><title>Pflege- und Betreuungsdiagnosen (full)</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section" id="tmp-3b2baf67-eb56-4207-ba48-ccfdd745799d"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.2'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.2'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.2'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.2'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:entry)&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:entry ist required [min 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.2']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.2']" id="tmp-7b577080-908e-42e6-a66d-8457a87acc4f"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@root='1.2.40.0.34.11.3.2.2'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.2.40.0.34.11.3.2.2' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:effectiveTime[2]
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:doseQuantity
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship" id="tmp-ce499bb4-689c-4dee-9d1b-faa26d3e8797"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@typeCode='COMP' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @typeCode MUSS 'COMP' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:sequenceNumber)&gt;=1 and not(hl7:sequenceNumber/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:sequenceNumber ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:substanceAdministration ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:substanceAdministration)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:substanceAdministration kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber" id="tmp-c0fe0f56-58ee-4dfc-9287-d68277aee1ac"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "INT" oder der Datentype MUSS "INT" sein</assert><extends rule="INT"/><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="$digitok">(TMP 1.2.40.0.34.11.3.2.2): @value is not a valid INT number <value-of select="$theValue"/></assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration" id="tmp-3f6ea9bb-f149-44ce-9373-c540ab6c095a"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@classCode='SBADM' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @classCode MUSS 'SBADM' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@moodCode='EVN' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @moodCode MUSS 'EVN' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:effectiveTime ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:effectiveTime)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:doseQuantity ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:doseQuantity)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:doseQuantity kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:consumable ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:consumable)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:consumable kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']" id="tmp-0dc115cc-1a83-45ab-a351-75f65c3dc384"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.7.1' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime" id="tmp-eda8870c-8565-4b5e-abde-2f9d2b630a02"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@operator='A' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @operator MUSS 'A' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:comp[hl7:event])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:comp[hl7:event] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:comp[hl7:event])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:comp[hl7:event] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:comp[hl7:phase])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:comp[hl7:phase] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:comp[hl7:phase])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:comp[hl7:phase] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]" id="tmp-9d973d2e-3c61-4784-abf0-15c851ec5e48"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:event)&gt;=1 and not(hl7:event/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:event ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:event)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:event kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event" id="tmp-ce970e56-c801-4531-8768-ed76bb4e4689"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_TimingEvent DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]" id="tmp-c7bb3837-8028-4420-a4f9-9b51d13329c0"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "" oder der Datentype MUSS "" sein</assert><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@operator='A' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @operator MUSS 'A' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:phase)&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:phase ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:phase)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:phase kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:period)&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:period ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:period)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:period kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase" id="tmp-a2709d4c-e08e-4fa3-856d-c79c0d4ea2da"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert><extends rule="IVL_TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width" id="tmp-1422e7a9-39ae-42eb-ae32-65955052fb84"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert><extends rule="PQ"/><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="$digitok">(TMP 1.2.40.0.34.11.3.2.2): @value is not a valid PQ number <value-of select="$theValue"/></assert><let name="theUnit" value="@unit"/><let name="UCUMtest" value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/><assert role="warning" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP 1.2.40.0.34.11.3.2.2): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@unit='d' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @unit MUSS 'd' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period" id="tmp-f72a1673-96b0-4100-8283-b896bcf024d9"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert><extends rule="PQ"/><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="$digitok">(TMP 1.2.40.0.34.11.3.2.2): @value is not a valid PQ number <value-of select="$theValue"/></assert><let name="theUnit" value="@unit"/><let name="UCUMtest" value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/><assert role="warning" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP 1.2.40.0.34.11.3.2.2): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@unit='d' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @unit MUSS 'd' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity" id="tmp-07cc8541-cab4-4033-8b8e-d3f9d5303e17"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_PQ" oder der Datentype MUSS "IVL_PQ" sein</assert><extends rule="IVL_PQ"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 1.2.40.0.34.11.3.2.2): value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/></assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 1.2.40.0.34.11.3.2.2): value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/></assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 1.2.40.0.34.11.3.2.2): value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/></assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable" id="tmp-6171317d-a411-4171-ab6c-437af2f13e7b"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:manufacturedProduct ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:manufacturedProduct)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:manufacturedProduct kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct" id="tmp-aeda687f-49e3-4c86-b881-5ba11c35901b"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:manufacturedMaterial ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:manufacturedMaterial)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial" id="tmp-1a222ecb-6da9-411e-92d7-1ccbaa04aaaa"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor='NA'">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @nullFlavor MUSS 'NA' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry" id="tmp-58cca22e-152b-44e1-ba73-de68931a31dd"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@typeCode='DRIV' or not(@typeCode)">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @typeCode MUSS 'DRIV' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act" id="tmp-09567035-aa1d-4e3a-ba08-cff5239e8ad7"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@classCode='ACT' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @classCode MUSS 'ACT' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@moodCode='EVN' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @moodCode MUSS 'EVN' sein.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:statusCode ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:statusCode)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:entryRelationship ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:entryRelationship)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:entryRelationship kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']" id="tmp-b60c3f91-9173-440f-b3a0-87becf0e5c35"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@root='1.2.40.0.34.11.3.3.1'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.2.40.0.34.11.3.3.1' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']" id="tmp-c1fd48f7-a0f5-44d7-ba9d-dbca0dd55f48"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@root='1.2.40.0.34.11.1.3.5'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.2.40.0.34.11.1.3.5' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:statusCode
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:statusCode" id="tmp-0bd84ec9-5556-42be-ae69-76a84a25fd2e"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CS" oder der Datentype MUSS "CS" sein</assert><extends rule="CS"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or (@code='active')">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @code MUSS 'active' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship" id="tmp-1f7d6a3d-2842-41b3-a117-7d2edcda3d85"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:observation ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:observation)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:observation kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation" id="tmp-b626f210-49c6-44e3-a701-355c9fe591e8"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:value ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="count(hl7:value)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:value kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']" id="tmp-1b5e8bfc-19e8-46f3-99ae-7dc247a32d19"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@root='1.2.40.0.34.11.1.3.6'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.2.40.0.34.11.1.3.6' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code" id="tmp-3c2b5bcd-b6d7-47cb-b182-fd9c413313fd"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or (@code='282291009' and @displayName='Diagnosis')">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @code MUSS '282291009' displayName='Diagnosis' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value" id="tmp-f1bb842f-653c-417b-b29f-f0d21a84d06a"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert><extends rule="CD"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or (@codeSystem='1.2.40.0.34.5.1')">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @codeSystem MUSS '1.2.40.0.34.5.1' sein.</assert></rule>
</pattern>