<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.6
Description: Informationen zu den Vitalparametern (Körpertemperatur, Puls, Blutdruck, …). Diese Sektion wird hauptsächlich bei Verlegungen von Pflegeheimen in Krankenhäuser oder in Notfällen
                angewandt.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.1.2.6"><title>Vitalparameter (enhanced)</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]
Item: (TMP 1.2.40.0.34.11.1.2.6)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section
Item: (TMP 1.2.40.0.34.11.1.2.6)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section" id="tmp-30f36f94-7666-4649-b6f2-1c6420de5113"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.6'])&gt;=1 ">(TMP 1.2.40.0.34.11.1.2.6): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.6'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.6'])&lt;=1">(TMP 1.2.40.0.34.11.1.2.6): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.6'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'])&gt;=1 ">(TMP 1.2.40.0.34.11.1.2.6): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'])&lt;=1">(TMP 1.2.40.0.34.11.1.2.6): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'])&gt;=1 ">(TMP 1.2.40.0.34.11.1.2.6): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'])&lt;=1">(TMP 1.2.40.0.34.11.1.2.6): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="count(hl7:entry)=0">(TMP 1.2.40.0.34.11.1.2.6): element hl7:entry MAY NOT be present </assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.6']
Item: (TMP 1.2.40.0.34.11.1.2.6)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.6']" id="tmp-a219e197-aab6-4f8b-9773-aa448388a4eb"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.1.2.6): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="@root='1.2.40.0.34.11.1.2.6'">(TMP 1.2.40.0.34.11.1.2.6): @root MUSS den Wert '1.2.40.0.34.11.1.2.6' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.1.2.6): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25']
Item: (TMP 1.2.40.0.34.11.1.2.6)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25']" id="tmp-e65f56cd-1313-41a8-a6b3-f5cb2680f743"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.1.2.6): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'">(TMP 1.2.40.0.34.11.1.2.6): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.25' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.1.2.6): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.16']
Item: (TMP 1.2.40.0.34.11.1.2.6)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.16']" id="tmp-2ad8def2-50b0-476d-bbd9-b9c92d522af3"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.1.2.6): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="@root='2.16.840.1.113883.10.20.1.16'">(TMP 1.2.40.0.34.11.1.2.6): @root MUSS den Wert '2.16.840.1.113883.10.20.1.16' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.1.2.6): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.1.2.6)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:code" id="tmp-44f0267e-2801-4af8-9c6f-db2be561a8cd"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.1.2.6): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="@nullFlavor or (@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')">(TMP 1.2.40.0.34.11.1.2.6): Der Wert von @code/@codeSystem MUSS '8716-3' codeSystem '2.16.840.1.113883.6.1' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.1.2.6)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:title" id="tmp-2973222c-8a56-45c2-858a-60c860a60ba1"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.1.2.6): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><extends rule="ST"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.1.2.6.html" test="text()='Vitalparameter'">(TMP 1.2.40.0.34.11.1.2.6): Der Elementinhalt von 'hl7:title' MUSS ''Vitalparameter'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.1.2.6)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:entry
Item: (TMP 1.2.40.0.34.11.1.2.6)
-->
</pattern>