<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.11
Description: Informationen zu Belastbarkeit und Arbeitsunfähigkeit.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.11"><title>Entlassungszustand</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]
Item: (TMP 1.2.40.0.34.11.2.2.11)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section
Item: (TMP 1.2.40.0.34.11.2.2.11)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section" id="tmp-72addf46-252d-4cb6-96ef-94ed697e76ae"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.11'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.11'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.11'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.11'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.5'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.5'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.5'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.5'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:title)&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:title ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:title)&lt;=1">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:text)&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:text ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="count(hl7:text)&lt;=1">(TMP 1.2.40.0.34.11.2.2.11): Element hl7:text kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.11']
Item: (TMP 1.2.40.0.34.11.2.2.11)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.11']" id="tmp-23a73ceb-7a30-4b30-ae89-9db1645ad3ca"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.11): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="@root='1.2.40.0.34.11.2.2.11'">(TMP 1.2.40.0.34.11.2.2.11): @root MUSS den Wert '1.2.40.0.34.11.2.2.11' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.11): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17']
Item: (TMP 1.2.40.0.34.11.2.2.11)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.17']" id="tmp-d4db628e-95e8-42f5-ad4d-ef0e35b63d93"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.11): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.17'">(TMP 1.2.40.0.34.11.2.2.11): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.17' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.11): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.5']
Item: (TMP 1.2.40.0.34.11.2.2.11)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.5']" id="tmp-70965a64-d596-4252-a10a-1c2213806535"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.11): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="@root='2.16.840.1.113883.10.20.1.5'">(TMP 1.2.40.0.34.11.2.2.11): @root MUSS den Wert '2.16.840.1.113883.10.20.1.5' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.11): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.2.2.11)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:code" id="tmp-e90cfe93-1082-4724-8f70-7ff8cdd5e6ac"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.11): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="@nullFlavor or (@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Functional status assessment')">(TMP 1.2.40.0.34.11.2.2.11): Der Wert von @code/@codeSystem MUSS '47420-5' codeSystem '2.16.840.1.113883.6.1' displayName='Functional status assessment' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.2.2.11)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:title" id="tmp-a527d8d6-37cd-432c-97b4-99ad4898e271"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.11): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><extends rule="ST"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.11.html" test="text()='Entlassungszustand'">(TMP 1.2.40.0.34.11.2.2.11): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungszustand'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.11
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.11']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.2.2.11)
-->
</pattern>