<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.19
Description: Liste der bisherigen Krankheiten des Patienten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.19"><title>Frühere Erkrankungen</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]
Item: (TMP 1.2.40.0.34.11.2.2.19)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section
Item: (TMP 1.2.40.0.34.11.2.2.19)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section" id="tmp-054e7e85-f195-4187-bd8c-7c13ea426143"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.19'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.19): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.19'] ist required [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.19'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.19): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.19'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.19): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.2.2.19): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.19): Element hl7:title ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="count(hl7:title)&lt;=1">(TMP 1.2.40.0.34.11.2.2.19): Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.19): Element hl7:text ist mandatory [min 1x].</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="count(hl7:text)&lt;=1">(TMP 1.2.40.0.34.11.2.2.19): Element hl7:text kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.19']
Item: (TMP 1.2.40.0.34.11.2.2.19)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.19']" id="tmp-afc5bc4c-1021-49e7-8de0-2ab236b2cb39"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.19): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="@root='1.2.40.0.34.11.2.2.19'">(TMP 1.2.40.0.34.11.2.2.19): @root MUSS den Wert '1.2.40.0.34.11.2.2.19' haben.</assert><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.19): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.2.2.19)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:code" id="tmp-a443256b-fca9-453e-812b-b3a37e3dbd7b"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.19): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="@nullFlavor or (@code='11348-0' and @codeSystem='2.16.840.1.113883.6.1')">(TMP 1.2.40.0.34.11.2.2.19): Der Wert von @code/@codeSystem MUSS '11348-0' codeSystem '2.16.840.1.113883.6.1' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.2.2.19)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:title" id="tmp-cfcb51ee-0a05-451f-a67c-867ee1b5218b"><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.19): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><extends rule="ST"/><let name="theValue" value="@value"/><assert role="error" see="http://www.decor-hit.org/elga/elga-html-20120226T135350/tmp-1.2.40.0.34.11.2.2.19.html" test="text()='Frühere Erkrankungen'">(TMP 1.2.40.0.34.11.2.2.19): Der Elementinhalt von 'hl7:title' MUSS ''Frühere Erkrankungen'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.19
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.19']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.2.2.19)
-->
</pattern>